package com.ss.android.ugc.aweme.music.model;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import com.ss.android.ugc.aweme.base.api.BaseResponse;
import java.util.List;

public class CollectedMusicList extends BaseResponse {
    @c(LIZ = "cursor")
    public int cursor;
    @c(LIZ = "has_more")
    public int hasMore;
    @c(LIZ = "mc_list")
    public List<Music> items;

    static {
        Covode.recordClassIndex(93852);
    }

    public boolean isHasMore() {
        if (this.hasMore == 1) {
            return true;
        }
        return false;
    }

    public void setHasMore(boolean z) {
        this.hasMore = z ? 1 : 0;
    }
}
